mscorlib 2.0.0.0 4.0.0.0 System.Enum System.Flags

A resource is an object that holds state. Examples of resources include a file on disk, a message queue for a process, and a named . Knowing an object is a resource does not indicate its appropriate use; the important property of a resource is the scope of the resource. The scope includes both the type and the visibility of the resource. The resource type specifies whether the resource is a machine-level resource, such as a file on disk, a process-wide resource, such as a block of non-shared memory, or an application domain-level resource, such as a lock on an instance of a non-marshal by reference object. The visibility scopes are and , the default is Public, which is implicit if or are not indicated. There is no enumeration value for Public.

Identifies the scope of a sharable resource.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.Versioning.ResourceScope

  The state is shared by objects within an .

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.Versioning.ResourceScope

  The resource is visible at an assembly scope.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.Versioning.ResourceScope

  The state is shared by objects within a library.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.Versioning.ResourceScope

  The state is shared by objects within the machine.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.Versioning.ResourceScope

  There is no shared state.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.Versioning.ResourceScope

  The resource is visible to only the type.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.Versioning.ResourceScope

  The state is shared within a process.